/**
 * Created by shadeeka on 12/4/15.
 */
angular.module('app.services')
// =========================================================================
// Undo Operation Service
// =========================================================================
  .factory('auditFormats', ['$log', '$timeout', '$q', '$http', 'dataPersistenceService', 'sparkDataService', 'eventProtocol', '$rootScope', 'propertyCache', function ($log, $timeout, $q, $http, dataPersistenceService, sparkDataService, eventProtocol, $rootScope, propertyCache) {

    var undoAvailable = false;

    return {
      lastEvent: {},
      //save to server




      sendAuditData: function (event) {
        var _self = this;
        sparkDataService.sendDataToServer(event)
      }

    };
  }]);
